//--------LICENSE_START--------
//
// Copyright (C) 2020,2021,2022 Institut de Robòtica i Informàtica Industrial, CSIC-UPC.
// Authors: Joan Solà Ortega (jsola@iri.upc.edu)
// All rights reserved.
//
// This file is part of WOLF
// WOLF is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//--------LICENSE_END--------
#include "bodydynamics/capture/capture_inertial_kinematics.h"
#include "bodydynamics/capture/capture_force_torque_preint.h"
#include "bodydynamics/sensor/sensor_force_torque.h"
#include "core/state_block/state_quaternion.h"

namespace wolf {

CaptureForceTorquePreint::CaptureForceTorquePreint(
                    const TimeStamp& _init_ts,
                    SensorBasePtr _sensor_ptr,
                    CaptureInertialKinematicsPtr _capture_IK_ptr,  // to get the pbc bias
                    CaptureMotionPtr _capture_motion_ptr,          // to get the gyro bias
                    const Eigen::VectorXd& _data,
                    const Eigen::MatrixXd& _data_cov,  // TODO: no uncertainty from kinematics
                    CaptureBasePtr _capture_origin_ptr) :
                CaptureMotion("CaptureForceTorquePreint", _init_ts, _sensor_ptr, _data, _data_cov,
                              _capture_origin_ptr, nullptr, nullptr, nullptr),
                cap_ikin_other_(_capture_IK_ptr),
                cap_gyro_other_(_capture_motion_ptr)
{
}

CaptureForceTorquePreint::~CaptureForceTorquePreint()
{

}

} //namespace wolf
